---
title: "Product Hunt API: Posts Comments | Perceptlayer"
description: "Posts Comments from Product Hunt as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/producthunt/posts-comments
---

[APIs](https://perceptlayer.com/apis) / [Product Hunt](https://perceptlayer.com/apis/producthunt) / Posts Comments

# Product Hunt: Posts Comments

Posts Comments from Product Hunt as JSON. 1 credit per successful call.

GET `/v1/producthunt/posts-comments`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `slug` | string | Required | Any |
| `username` | string | Optional | Up to 64 characters |
| `comment` | string | Optional | Up to 20 characters |
| `first` | integer | Optional | Any |
| `after` | string | Optional | Up to 128 characters |
| `order` | string | Optional | DAILY\_RANK, WEEKLY\_RANK, MONTHLY\_RANK, YEARLY\_RANK, VOTES, SCORE |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/producthunt/posts-comments" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/producthunt?try=posts-comments#playground) with your own parameters. 1 credit per successful call; failed calls are free.
